;Ascii support for Chip16 ver 0.4
;Shendo 2010 - 2011
;
;Registers ra-rf are reserved for printing strings.
;Registers r0-r9 are free to use.
;
	cls			;Start clean
	spr #0F05		;10x15 px sprites
:start				;Start of the program
	ldi ra,10		;X coordinate
	ldi rb,10		;Y coordinate
	ldi rc,#AAAA		;Green color
	ldi rd,string_data_0	;Pointer to the "Hello World" string
	call print_string	;Draw string on screen
	ldi ra,10		;X coordinate
	ldi rb,50		;Y coordinate
	ldi rc,#FFFF		;White color
	ldi rd,string_data_1	;Pointer to the "The quick brown fox" string
	call print_string	;Draw string on screen
	ldi ra,10		;X coordinate
	ldi rb,65		;Y coordinate
	ldi rc,#FFFF		;White color
	ldi rd,string_data_2	;Pointer to the "jumps over the lazy dog" string
	call print_string	;Draw string on screen
:loop
	jmp loop		;Endless loop
:print_string			;Print string on screen
	ldi re,font_data	;Pointer to the graphic data
	ldm rf,rd		;Get ascii code
	andi rf,255		;Use only low part of the data
	jmz print_end		;If the char is null stop printing
	subi rf,32		;Convert to char offset
	jmc print_end		;If the char is below zero it's unprintable
	muli rf,75		;Convert char offset to byte offset
	add re,rf		;Get the char sprite address
	call copy_to_cache	;Copy char data to cache
	drw ra,rb,font_cache	;Draw char on screen
	addi ra,8		;Increase X offset
	addi rd,1		;Point to next char
	jmp print_string	;Print next char
:print_end
ret
:copy_to_cache
	stm ra,var_cache0	;Store register data
	stm rb,var_cache1
	stm rd,var_cache2
	ldi ra,38		;Word counter
	ldi rb,font_cache	;Data cache pointer
:copy_loop
	ldm rd,re		;Copy data to temp buffer
	and rd,rc		;Apply desired color to the sprite
	stm rd,rb		;Store modified data
	addi re,2		;Go to next word
	addi rb,2		;Point to next word in data cache
	subi ra,1		;Decrease counter
	jmz copy_end		;Desired data has been cached, end process
	jmp copy_loop		;Go to next word
:copy_end
	ldm ra,var_cache0	;Recover register data
	ldm rb,var_cache1
	ldm rd,var_cache2
ret
:var_cache0
db #00
db #00
:var_cache1
db #00
db #00
:var_cache2
db #00
db #00
:string_data_0
db #48				;H
db #65				;e
db #6C				;l
db #6C				;l
db #6F				;o
db #20				;
db #57				;W
db #6F				;o
db #72				;r
db #6C				;l
db #64				;d
db #21				;!
db #00				;Null
:string_data_1
db #54				;T
db #68				;h
db #65				;e
db #20				;
db #71				;q
db #75				;u
db #69				;i
db #63				;c
db #6B				;k
db #20				;
db #62				;b
db #72				;r
db #6F				;o
db #77				;w
db #6E				;n
db #20				;
db #66				;f
db #6F				;o
db #78				;x
db #00				;Null
:string_data_2
db #6A				;j
db #75				;u
db #6D				;m
db #70				;p
db #73				;s
db #20				;
db #6F				;o
db #76				;v
db #65				;e
db #72				;r
db #20				;
db #74				;t
db #68				;h
db #65				;e
db #20				;
db #6C				;l
db #61				;a
db #7A				;z
db #79				;y
db #20				;
db #64				;d
db #6F				;o
db #67				;g
db #2E				;.
db #00				;Null
:font_data
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #FF
db #FF
db #00
db #00
db #00
db #FF
db #FF
db #00
db #00
db #00
db #FF
db #FF
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #FF
db #0F
db #F0
db #00
db #00
db #FF
db #0F
db #F0
db #00
db #0F
db #FF
db #FF
db #FF
db #00
db #00
db #FF
db #0F
db #F0
db #00
db #00
db #FF
db #0F
db #F0
db #00
db #00
db #FF
db #0F
db #F0
db #00
db #0F
db #FF
db #FF
db #FF
db #00
db #00
db #FF
db #0F
db #F0
db #00
db #00
db #FF
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #FF
db #FF
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #FF
db #FF
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #FF
db #00
db #00
db #00
db #FF
db #0F
db #F0
db #00
db #00
db #FF
db #0F
db #F0
db #F0
db #00
db #0F
db #FF
db #0F
db #F0
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #0F
db #F0
db #FF
db #F0
db #00
db #0F
db #0F
db #F0
db #FF
db #00
db #00
db #0F
db #F0
db #FF
db #00
db #00
db #00
db #FF
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #FF
db #F0
db #00
db #00
db #0F
db #F0
db #FF
db #00
db #00
db #0F
db #F0
db #FF
db #00
db #00
db #00
db #FF
db #F0
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #FF
db #FF
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #FF
db #F0
db #FF
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #FF
db #0F
db #F0
db #00
db #00
db #0F
db #FF
db #00
db #00
db #0F
db #FF
db #FF
db #FF
db #00
db #00
db #0F
db #FF
db #00
db #00
db #00
db #FF
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #0F
db #FF
db #FF
db #F0
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #FF
db #00
db #00
db #00
db #0F
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #FF
db #FF
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #FF
db #00
db #00
db #00
db #0F
db #FF
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #FF
db #F0
db #00
db #00
db #FF
db #00
db #FF
db #00
db #00
db #FF
db #0F
db #FF
db #00
db #00
db #FF
db #0F
db #FF
db #00
db #00
db #FF
db #00
db #FF
db #00
db #00
db #FF
db #F0
db #FF
db #00
db #00
db #FF
db #F0
db #FF
db #00
db #00
db #FF
db #00
db #FF
db #00
db #00
db #0F
db #FF
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #0F
db #FF
db #00
db #00
db #0F
db #FF
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #FF
db #FF
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #FF
db #FF
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #FF
db #FF
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #0F
db #FF
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #FF
db #FF
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #0F
db #F0
db #00
db #00
db #FF
db #0F
db #F0
db #00
db #00
db #FF
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #FF
db #FF
db #FF
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #FF
db #FF
db #F0
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #FF
db #FF
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #FF
db #00
db #00
db #0F
db #FF
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #FF
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #0F
db #FF
db #FF
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #FF
db #FF
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #FF
db #FF
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #FF
db #FF
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #FF
db #0F
db #F0
db #00
db #00
db #FF
db #FF
db #00
db #00
db #0F
db #F0
db #FF
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #FF
db #FF
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #FF
db #FF
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #FF
db #FF
db #F0
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #FF
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #FF
db #00
db #00
db #00
db #0F
db #FF
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #FF
db #00
db #00
db #00
db #0F
db #FF
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #FF
db #00
db #00
db #00
db #0F
db #FF
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #FF
db #00
db #00
db #00
db #0F
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #FF
db #FF
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #FF
db #FF
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #FF
db #FF
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #FF
db #FF
db #F0
db #00
db #FF
db #00
db #00
db #FF
db #00
db #FF
db #00
db #00
db #FF
db #00
db #FF
db #00
db #FF
db #FF
db #00
db #FF
db #0F
db #F0
db #FF
db #00
db #FF
db #0F
db #F0
db #FF
db #00
db #FF
db #00
db #FF
db #FF
db #00
db #FF
db #00
db #00
db #00
db #00
db #0F
db #FF
db #FF
db #FF
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #FF
db #FF
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #FF
db #FF
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #FF
db #FF
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #FF
db #FF
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #FF
db #FF
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #FF
db #FF
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #FF
db #FF
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #FF
db #F0
db #00
db #00
db #0F
db #F0
db #FF
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #FF
db #00
db #00
db #0F
db #FF
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #FF
db #FF
db #F0
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #FF
db #FF
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #FF
db #FF
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #FF
db #FF
db #F0
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #FF
db #FF
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #FF
db #FF
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #FF
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #FF
db #FF
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #FF
db #FF
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #FF
db #FF
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #FF
db #FF
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #FF
db #FF
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #FF
db #00
db #00
db #0F
db #F0
db #FF
db #00
db #00
db #0F
db #FF
db #F0
db #00
db #00
db #0F
db #F0
db #FF
db #00
db #00
db #0F
db #F0
db #FF
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #FF
db #FF
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #FF
db #00
db #0F
db #F0
db #00
db #FF
db #00
db #0F
db #FF
db #0F
db #FF
db #00
db #0F
db #F0
db #F0
db #FF
db #00
db #0F
db #F0
db #F0
db #FF
db #00
db #0F
db #F0
db #F0
db #FF
db #00
db #0F
db #F0
db #00
db #FF
db #00
db #0F
db #F0
db #00
db #FF
db #00
db #0F
db #F0
db #00
db #FF
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #FF
db #00
db #0F
db #F0
db #00
db #FF
db #00
db #0F
db #FF
db #00
db #FF
db #00
db #0F
db #FF
db #F0
db #FF
db #00
db #0F
db #F0
db #FF
db #FF
db #00
db #0F
db #F0
db #0F
db #FF
db #00
db #0F
db #F0
db #00
db #FF
db #00
db #0F
db #F0
db #00
db #FF
db #00
db #0F
db #F0
db #00
db #FF
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #FF
db #FF
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #FF
db #FF
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #FF
db #FF
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #FF
db #FF
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #FF
db #FF
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #FF
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #FF
db #FF
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #FF
db #FF
db #00
db #00
db #0F
db #F0
db #FF
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #FF
db #FF
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #FF
db #FF
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #FF
db #FF
db #F0
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #FF
db #FF
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #FF
db #FF
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #FF
db #00
db #0F
db #F0
db #00
db #FF
db #00
db #0F
db #F0
db #00
db #FF
db #00
db #0F
db #F0
db #F0
db #FF
db #00
db #0F
db #F0
db #F0
db #FF
db #00
db #0F
db #F0
db #F0
db #FF
db #00
db #00
db #FF
db #0F
db #F0
db #00
db #00
db #FF
db #0F
db #F0
db #00
db #00
db #FF
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #FF
db #0F
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #F0
db #FF
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #FF
db #FF
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #FF
db #FF
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #FF
db #FF
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #FF
db #FF
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #FF
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #FF
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #FF
db #FF
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #FF
db #FF
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #FF
db #FF
db #FF
db #FF
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #FF
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #FF
db #FF
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #FF
db #FF
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #FF
db #FF
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #FF
db #FF
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #FF
db #FF
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #FF
db #FF
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #FF
db #FF
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #FF
db #FF
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #FF
db #FF
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #FF
db #FF
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #FF
db #FF
db #F0
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #FF
db #FF
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #FF
db #F0
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #0F
db #FF
db #FF
db #F0
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #FF
db #FF
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #FF
db #FF
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #0F
db #FF
db #FF
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #FF
db #FF
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #FF
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #0F
db #FF
db #FF
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #FF
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #0F
db #FF
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #FF
db #00
db #00
db #0F
db #FF
db #F0
db #00
db #00
db #0F
db #F0
db #FF
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #FF
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #0F
db #FF
db #FF
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #FF
db #FF
db #F0
db #00
db #0F
db #F0
db #F0
db #FF
db #00
db #0F
db #F0
db #F0
db #FF
db #00
db #0F
db #F0
db #F0
db #FF
db #00
db #0F
db #F0
db #F0
db #FF
db #00
db #0F
db #F0
db #F0
db #FF
db #00
db #0F
db #F0
db #00
db #FF
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #FF
db #FF
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #FF
db #FF
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #FF
db #FF
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #FF
db #FF
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #FF
db #FF
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #FF
db #FF
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #FF
db #FF
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #FF
db #F0
db #00
db #0F
db #FF
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #FF
db #FF
db #F0
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #FF
db #FF
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #0F
db #FF
db #FF
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #0F
db #FF
db #FF
db #F0
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #0F
db #FF
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #FF
db #FF
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #FF
db #FF
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #FF
db #00
db #0F
db #F0
db #F0
db #FF
db #00
db #0F
db #F0
db #F0
db #FF
db #00
db #0F
db #F0
db #F0
db #FF
db #00
db #0F
db #F0
db #F0
db #FF
db #00
db #00
db #FF
db #0F
db #F0
db #00
db #00
db #FF
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #FF
db #FF
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #FF
db #FF
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #0F
db #F0
db #0F
db #F0
db #00
db #00
db #FF
db #FF
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #FF
db #FF
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #FF
db #FF
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #FF
db #FF
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #0F
db #F0
db #00
db #00
db #00
db #FF
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #0F
db #FF
db #00
db #0F
db #00
db #FF
db #0F
db #F0
db #FF
db #00
db #F0
db #00
db #FF
db #F0
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
db #00
:font_cache			;Copied font data is stored here